Rensei docs

List the claim history for an issue, newest first.

List the claim history for an issue, newest first. - Rensei REST API operation reference.

GET
/api/projects/{projectId}/issues/{issueId}/claims

Authorization

headerAuthorizationBearer <WorkOS user access token>

WorkOS user access token created by the Rensei CLI. The authenticated organization is resolved from membership and may be narrowed with X-Rensei-Org.

Path Parameters

projectId*string

The project id.

issueId*string

The tracker-native issue identifier, e.g. "TEAM-123".

Response Body

Claim history for this issue, newest first.

application/json
  1. response
claims*array<>
Example Request
curl -X GET 'https://app.rensei.ai/api/projects/string/issues/string/claims'
Example Response
{  "claims": [    {      "id": "string",      "organizationId": "string",      "projectId": "string",      "issueId": "string",      "stageId": "string",      "claimant": "string",      "createdBy": "string",      "observedStatus": "string",      "writtenStatus": "string",      "status": "claimed",      "claimedAt": "string",      "leaseExpiresAt": "string",      "releasedAt": "string",      "releaseReason": "string",      "createdAt": "string",      "updatedAt": "string"    }  ]}